#!/bin/sh

application="/home/nakai/rails/dengonban"

webrick="rails s -e production -p 80 -d"
alias pidcheck='pgrep -f "$webrick"'

case $1 in
	start)
		if ! pidcheck >/dev/null; then
			echo "Starting WEBrick."
			cd $application
			$webrick
		fi
	;;
	stop)
		if pidcheck >/dev/null; then
			echo "Stopping WEBrick."
			kill -INT $(pidcheck)
		fi
	;;
	status)
		if pidcheck >/dev/null; then
			echo "WEBrick is running."
		else
			echo "WEBrick is not running."
		fi
	;;
esac
